Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.nbmodule
Class ClassFileNode.ClassFileNodeHandle

    java.lang.Object
      org.gjt.jclasslib.nbmodule.ClassFileNode.ClassFileNodeHandle

All Implemented Interfaces:
  Node.Handle, Serializable

Enclosing class:
  ClassFileNode

public static class ClassFileNode.ClassFileNodeHandle
extends Object
implements Node.Handle

Node handle for a `ClassFileNode`.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.openide.nodes.Node.Handle
`serialVersionUID`

Constructor Summary
`ClassFileNode.ClassFileNodeHandle(ClassFileNode node)` Constructor.

Method Summary
`Node` | `getNode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassFileNode.ClassFileNodeHandle

    public ClassFileNode.ClassFileNodeHandle(ClassFileNode node)

  Constructor.

Parameters:
  `node` - the class file node.

Method Detail

### getNode

    public Node getNode()

  Specified by:
    `getNode` in interface `Node.Handle`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD